from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XElement(XInterface, Protocol):
    def getParent(self) -> XElement: ...
    def getLocalName(self) -> str: ...
    def getUid(self) -> int: ...
    def getAttributes(self) -> XAttributes: ...
